Search Support

is google web acceletor 1.0.70.88 is compatible with firefox 25.0 ?

  • 1 reply
  • 1 has this problem
  • 6 views
  • Last reply by philipp

more options

google web acceletor shows disabled

All Replies (1)

more options

hello, google has discontinued maintaining/supporting this product over 5 years ago, so it won't work in current versions of firefox.